#include <IRremote.h>

#define IR_RECEIVE_PIN 11
#define RED_PIN 9
#define GREEN_PIN 6
#define BLUE_PIN 5

void setup() {
  pinMode(RED_PIN, OUTPUT);
  pinMode(GREEN_PIN, OUTPUT);
  pinMode(BLUE_PIN, OUTPUT);
  IrReceiver.begin(IR_RECEIVE_PIN);
}

void loop() {
  if (IrReceiver.decode()) {
    setColor(IrReceiver.decodedIRData.decodedRawData);
    IrReceiver.resume();
  }
}

void setColor(uint32_t code) {
  if (code == 0xE619FF00) { // 0 - spento
    rgb(0, 0, 0);
  } else if (code == 0xBA45FF00) { // 1 - rosso
    rgb(255, 0, 0);
  } else if (code == 0xB946FF00) { // 2 - arancione
    rgb(255, 20, 0);
  } else if (code == 0xB847FF00) { // 3 - giallo
    rgb(255, 70, 0);
  } else if (code == 0xBB44FF00) { // 4 - verde
    rgb(0, 255, 0);
  } else if (code == 0xBF40FF00) { // 5 - ciano
    rgb(0, 255, 255);
  } else if (code == 0xBC43FF00) { // 6 - blu
    rgb(0, 0, 255);
  } else if (code == 0xF807FF00) { // 7 - magenta
    rgb(255, 0, 70);
  } else if (code == 0xEA15FF00) { // 8 - viola
    rgb(170, 0, 255);
  } else if (code == 0xF609FF00) { // 9 - bianco
    rgb(255, 255, 255);
  }
}

void rgb(int red, int green, int blue) {
  analogWrite(RED_PIN, red);
  analogWrite(GREEN_PIN, green);
  analogWrite(BLUE_PIN, blue);
}